Subject: Re: [PATCH net-next 1/2] ethtool: update UAPI files

From: Piergiorgio Beruto <[email-masked]>
Date: Sun, 4 Dec 2022 22:30:59 +0100

On Sun, Dec 04, 2022 at 10:25:21PM +0100, Michal Kubecek wrote:
> On Sun, Dec 04, 2022 at 10:16:01PM +0100, Piergiorgio Beruto wrote:
> > Hello Michal,
> > I was wondering if you could help me with the issue below.
> > 
> > In short, I'm trying to add a new feature to netlink / ethtool that
> > requires changes to the UAPI headers. I therefore need to update these
> > headers in the ethtool userland program as well.
> > 
> > The problem I'm having is that I don't know the procedure for updating
> > the headers, which is something I need to build my patch to ethtool on.
> > 
> > I understand now this is not a straight copy of the kernel headers to
> > the ethtool repository.
> > 
> > Should I use some script / procedure / else?
> > Or should I just post my patch without the headers? (I wonder how we can
> > verify it though?)
> > 
> > Any help on the matter would be very appreciated.
> 
> See https://www.kernel.org/pub/software/network/ethtool/devel.html for
> guidelines (section "Submitting patches"). What we need are so-called
> sanitized kernel headers, created by "make headers_install". The easiest
> way to update them is using the ethtool-import-uapi script linked from
> that page, usually "master" or "net-next" is the most appropriate
> argument, depending on your target branch.
> 
> Michal
Great, thank you Michal! That is exactly what I was looking for.

Kind Regards,
Piergiorgio